.m-btn {
  display: inline-block;
  padding: 0 var(--un-spacing);
  color: currentColor;
  font-family: inherit;
  font-size: inherit;
  line-height: 3;
  text-decoration: none;
  white-space: nowrap;
  text-align: center;

  border: 0;
  border-radius: var(--un-border-radius);
  cursor: pointer;
  transition: background-color 250ms ease, border 250ms ease;
}
.m-btn--sm {
  font-size: 0.75rem;
}

.m-btn:hover,
.m-btn:focus,
.m-btn:active {
  background: transparent;
  color: var(--un-btn-primary-highlight-bg);
  text-decoration: none;
}
.m-btn--primary {
  background: var(--un-btn-primary-bg);
  color: var(--un-btn-primary-fg);
}
.m-btn--primary:hover,
.m-btn--primary:focus,
.m-btn--primary:active {
  background: var(--un-btn-primary-highlight-bg);
  color: var(--un-btn-primary-fg);
}

.m-btn--ghost {
  color: var(--un-btn-primary-bg);
  border: 2px solid currentColor;
  background: white;
}
.m-btn--text {
  text-decoration: underline;
}
